import ui
import sqlite3
from datetime import datetime
import console

db_name = 'mydata.db'

def setup():
  conn = sqlite3.connect(db_name)
  c = conn.cursor()
  c.execute('create table if not exists memo ' +
    '(id integer primary key autoincrement, ' +
    'content text, date datetime)')
  conn.commit()
  conn.close()

def search(sender):
  find = sender.superview['search'].text
  content = sender.superview['content']
  conn = sqlite3.connect(db_name)
  c = conn.cursor()
  if find.isdecimal():
    sql = "select * from memo where id = ?"
    pf = int(find)
    c.execute(sql, (pf,))
    rec = c.fetchone()
    if rec != None:
      result = rec[1]
    else:
      result = 'No data...'
  else:
    sql = "select * from memo " + \
      "where content like ? order by date desc"
    pf = '%' + find + '%'
    c.execute(sql, (pf,))
    recs = c.fetchall()
    result = 'count: '+str(len(recs))+'\n\n'
    for rec in recs:
      result += \
        str(rec[0])+': '+rec[1][0:25]+'...\n\n'
  conn.close()
  content.text = result

def newcontent(sender):
  content = sender.superview['content']
  if content.text != '':
    console.alert(
      'コンテンツを消去して新しくしますか？',
      '', 'OK')
    content.text = ''
    sender.superview['search'].text = ''

def insert(sender):
  content = sender.superview['content'].text
  time = datetime.now().strftime(
    "%B %d, %Y %I:%M%p")
  conn = sqlite3.connect(db_name)
  c = conn.cursor()
  c.execute("insert into memo(content, date) "+
    "values(?, ?)", (content, time))
  conn.commit()
  conn.close()
  console.alert('コンテンツを保存しました。',
    '', 'OK', hide_cancel_button=True)

import reminders  
import speech  
import dialogs

def talk(sender):
  content = sender.superview['content'].text
  l1 = len(content)
  l2 = len(content.encode('utf-8'))
  if l1 == l2:
    lc = 'en-US'
  else:
    lc = 'ja-JP'
  speech.say(content, lc)

def reminder(sender):
  content = sender.superview['content'].text
  title = console.input_alert( \
    'Alert', 'タイトルを入力')
  time = dialogs.datetime_dialog( \
    '予定の日時を入力')
  obj = reminders.Reminder()
  obj.title = title
  obj.notes = content
  alrm = reminders.Alarm()
  alrm.date = time
  obj.alarms = [alrm]
  obj.save()
  console.alert('リマインダーを設定しました。',\
    '', 'OK', hide_cancel_button=True)

setup()

v = ui.load_view()
v.present('full_screen')
